Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Can't install Glassfish Tools
Can't install Glassfish Tools [message #1810464] Mon, 12 August 2019 13:09 Go to next message
Ya Raymond is currently offline Ya RaymondFriend
Messages: 10
Registered: August 2019
Junior Member
I am trying to configure glassfish serve 5 in Eclipse JEE. However when i try to install the glassfish tools i receive this error.
Unable to read repository at https://download.eclipse.org/glassfish-tools/1.0.0/repository/content.xml.
sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target.

Would you know what the problem is?
Re: Can't install Glassfish Tools [message #1810465 is a reply to message #1810464] Mon, 12 August 2019 13:23 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3513
Registered: July 2009
Senior Member

Which version of Eclipse is this, and which Java Runtime are you using to run it?

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Can't install Glassfish Tools [message #1810467 is a reply to message #1810465] Mon, 12 August 2019 13:34 Go to previous messageGo to next message
Ya Raymond is currently offline Ya RaymondFriend
Messages: 10
Registered: August 2019
Junior Member
The latest version of Eclipse JEE 2019-06. JRE version 8 update 212.
Re: Can't install Glassfish Tools [message #1810519 is a reply to message #1810467] Tue, 13 August 2019 06:44 Go to previous messageGo to next message
Ya Raymond is currently offline Ya RaymondFriend
Messages: 10
Registered: August 2019
Junior Member
When i put https://download.eclipse.org/glassfish-tools/1.0.0/repository/content.xml in the browser the page was not found, could that be the problem?
Re: Can't install Glassfish Tools [message #1810525 is a reply to message #1810519] Tue, 13 August 2019 07:32 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30551
Registered: July 2009
Senior Member
Well, p2 looks for both content.xml and content.jar but the error message doesn't tell you which one it's actually using. Certainly https://download.eclipse.org/glassfish-tools/1.0.0/repository/content.jar exists.

The PKIX error is generally caused by your installation of Java not knowing about the root certificate that the site is using. My version of Java does work with this site, but I have version update 121. It may be that certificates have been removed in newer versions.

Perhaps one way to avoid this issue is to use http rather than https.
Re: Can't install Glassfish Tools [message #1810530 is a reply to message #1810525] Tue, 13 August 2019 09:14 Go to previous messageGo to next message
Ya Raymond is currently offline Ya RaymondFriend
Messages: 10
Registered: August 2019
Junior Member
Thank you. I am using Eclipse Marketplace to install the glassfish tools but it uses https, how can i change that?
Re: Can't install Glassfish Tools [message #1810532 is a reply to message #1810530] Tue, 13 August 2019 09:36 Go to previous messageGo to next message
Ya Raymond is currently offline Ya RaymondFriend
Messages: 10
Registered: August 2019
Junior Member
I have tried to install the glassfish tools through installing new software and putting the URL as https://download.eclipse.org/glassfish-tools/1.0.0/repository/

I installed the glassfish tools however the following errror came up

Cannot complete the install because one or more required items could not be found.
Software being installed: GlassFish Tools 1.0.0.201806111515 (org.eclipse.glassfish.tools.feature.group 1.0.0.201806111515)
Missing requirement: GlassFish Tools 1.0.0.201806111515 (org.eclipse.glassfish.tools.feature.group 1.0.0.201806111515) requires 'org.eclipse.equinox.p2.iu; org.eclipse.sapphire.feature.group [9.1.0,10.0.0)' but it could not be found
Re: Can't install Glassfish Tools [message #1810553 is a reply to message #1810532] Tue, 13 August 2019 12:16 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3513
Registered: July 2009
Senior Member

You need to (manually) add http://download.eclipse.org/sapphire/9.1.1/repository/ to the list on your Available Software Sites preference page so that that feature can be found.

https://help.eclipse.org/2019-06/topic/org.eclipse.platform.doc.user/reference/ref-p2-siteprefs.htm?cp=0_4_1_10


Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Can't install Glassfish Tools [message #1810555 is a reply to message #1810532] Tue, 13 August 2019 12:31 Go to previous messageGo to next message
Ya Raymond is currently offline Ya RaymondFriend
Messages: 10
Registered: August 2019
Junior Member
Do i install all the sapphire items?
Re: Can't install Glassfish Tools [message #1810567 is a reply to message #1810555] Tue, 13 August 2019 14:36 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3513
Registered: July 2009
Senior Member

No, just add the site, then resume trying to install the Glassfish Tools.

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Can't install Glassfish Tools [message #1810569 is a reply to message #1810555] Tue, 13 August 2019 14:39 Go to previous messageGo to next message
Ya Raymond is currently offline Ya RaymondFriend
Messages: 10
Registered: August 2019
Junior Member
Ok thank you it worked i added the site to the list of Available Software Sites. I am wondering what the problem was? Especially because i now tried to create a mavenproject with archetype parameters and the following error occured

Could not resolve archetype org.apache.maven.archetypes:maven-archetype-webapp:1.0 from any of the configured repositories.
Could not resolve artifact org.apache.maven.archetypes:maven-archetype-webapp:pom:1.0
Could not transfer artifact org.apache.maven.archetypes:maven-archetype-webapp:pom:1.0 from/to central (https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target
Could not transfer artifact org.apache.maven.archetypes:maven-archetype-webapp:pom:1.0 from/to central (https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertPathBuilderException: unable to find valid certification path to requested target
Re: Can't install Glassfish Tools [message #1810625 is a reply to message #1810569] Wed, 14 August 2019 14:40 Go to previous messageGo to next message
Ya Raymond is currently offline Ya RaymondFriend
Messages: 10
Registered: August 2019
Junior Member
Is it worth uninstalling jdk 8 u 212 and installing an earlier update as i am not able to install any plugins because they are all accessing https? Or perhaps you know how i could enable them to access http?
Re: Can't install Glassfish Tools [message #1810640 is a reply to message #1810625] Thu, 15 August 2019 02:47 Go to previous message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3513
Registered: July 2009
Senior Member

I'm doubt that's a solution, but you've gone onto a new topic.

Nitin Dahyabhai
Eclipse Web Tools Platform
Previous Topic:Kura publish data using mqtt to our own server
Next Topic:ctrl + shift + r, searching with contained letters
Goto Forum:
  


Current Time: Mon Oct 21 04:41:46 GMT 2019

Powered by FUDForum. Page generated in 0.04436 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top